# This file is part of the "FDN tools" project.
# You can use and redistribute it under the terms of the
# GNU General Public License.
# (c) French Data Network 1997-2005
# Authors and contributors:
# - Benjamin Bayart
package FDN::Test::Workflow;

use strict;
use Exporter;

our @ISA = ( 'Exporter' );
our @EXPORT = ();
our @EXPORT_OK = ();
our %EXPORT_TASGS = ();

# Ici les fonctions utiles pour les taches elles-meme.

sub faire_telephone($) {
	my ( $props ) = @_;
	return '0140280941';
}

sub calculer_la_clef($$) {
	my ( $name,$vars ) = @_;
	return $vars->{'nom'}.'-'.$vars->{'telephone'}.'!'.$name;
}

sub faire_un_essai($$$) {
	my ( $props, $event, $date ) = @_;
	my $type;
	if ( defined $props->{'type'} ) {
		$type = $props->{'type'};
	} else {
		$type = 'sub of '.$props->{'ptid'};
	}
	my $tid = $props->{'tid'};
	print "# Je ($tid type $type) recois l'evenement $event en date de $date\n";
	return '';
}

1;

